# Namespace: internal

## Classes

- [PriceSelectionParams](../classes/internal-40.PriceSelectionParams.md)
- [StoreGetVariantsParams](../classes/internal-40.StoreGetVariantsParams.md)

## Type Aliases

### StoreVariantsListRes

Ƭ **StoreVariantsListRes**: [`PaginatedResponse`](internal-2.md#paginatedresponse) & { `variants`: [`ProductVariant`](../classes/internal.ProductVariant.md)[]  }

#### Defined in

medusa/dist/api/routes/store/variants/index.d.ts:9

___

### StoreVariantsRes

Ƭ **StoreVariantsRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `variant` | [`ProductVariant`](../classes/internal.ProductVariant.md) |

#### Defined in

medusa/dist/api/routes/store/variants/index.d.ts:6
